




.notification {
  opacity:1;
  padding:map-get($mobile, space-md) 0 0 0;

  @include breakpoint($medium) {
    padding: map-get($desktop, space-md) 0 0 0;
  }

  &__container.container {
    max-width: 840px;
  }

  &__main {
    &.plain {
      background-color: transparent;

      .icon {
        fill: #000;
      }
    }
    &.warning{
      background-color: $alert-purple;
      color: #fff;
    }
    &.error{
      background-color: $invalid-colour;
      color: #fff;
    }
  }

  &__main {
    display: flex;
    align-items: center;
    padding: 16px;
    border-radius: 8px;
    position: relative;
    @include breakpoint($small){
      align-items: flex-start;
    }
  }

  .icon {
    fill: #fff;
  }

  &__title-container {
    @include breakpoint($medium){
      display: flex;
      align-items: center;
      flex-grow: 1;
    }
  }

  &__title {
    flex-grow: 1;
    padding: 0 16px;
    @include font-archer-light;
    display: block;

    @include rhythm(18,22);
  }

  &__link {
    line-height: 1.2;
    margin-left:auto;
    @include breakpoint($small) {
    padding: 16px 16px 0;
    }

    a {
      &:before {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
      }
    }
    .icon {
      margin-right: 10px;
      svg {
        width: 12px;
      }
    }
  }

  a {
    color: inherit;
    transition: all .4s;
    border-bottom: 1px solid rgba(4, 88, 155, 0);

    &:hover,
    &:focus {
      color: inherit;
      border-color: #fff;
    }
  }
}
